﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
public class TwoDCharController : MonoBehaviour
{
    public float speed;
    private Rigidbody2D rb;
    private Vector2 moveVelocity;
    public Animator anim;
    private bool facingRight;
    void Start()
    {
        rb = GetComponent<Rigidbody2D>();
    }

    void Update()
    {
        Vector2 moveInput = new Vector2(Input.GetAxisRaw("Horizontal"), Input.GetAxisRaw("Vertical"));
        moveVelocity = moveInput.normalized * speed;
        if(moveInput.x > 0 && facingRight) {
            Flip();
            
        }else if(moveInput.x < 0 && !facingRight)
        {
           
            Flip();
        }
    }

    private void FixedUpdate()
    {
        rb.MovePosition(rb.position + moveVelocity * Time.fixedDeltaTime);
        if (Mathf.Abs(moveVelocity.x) > 0.0 || Mathf.Abs(moveVelocity.y) > 0.0)
        {
            //Debug.Log("Yuruyor");
            GetComponent<AudioSource>().UnPause();
            anim.SetFloat("speed", 1);
        }
        else
        {
            GetComponent<AudioSource>().Pause();
            anim.SetFloat("speed", 0);
        }
    }

    void Flip()
    {
        facingRight = !facingRight;
        transform.Rotate(0f, 180f, 0f);
    }

    public GameObject interactionText;
    public GameObject parca1, parca2, parca3, parca4;
    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (collision.gameObject.CompareTag("part2")) {
            interactionText.SetActive(true);
            Debug.Log("Part2");
        }
        if (collision.gameObject.CompareTag("part1"))
        {
            interactionText.SetActive(true);
            if (Input.GetKeyDown(KeyCode.F))
            {
                parca1.active =false;
            }
            Debug.Log("PART1");
        }
    }
}
